#include<bits/stdc++.h>
using namespace std;

long long n;

int main (){

ios::sync_with_stdio(false);
cin.tie(NULL);
cin>>n;
if(n%2==1){
    cout<<"7";
    n=n-3;
}
for(int i=0;i<n/2;i++){
    cout<<"1";
}

return 0;

}
